Page MenuHomeFreeBSD

netmap: netmap_transmit should honor bpf packet tap hook.
ClosedPublic

Authored by jsmith_verisign.com on Nov 7 2018, 7:23 PM.

Details

Summary

This allows tcpdump to capture outbound kernel packets while
in netmap mode

Submitted by: Marc de la Gueronniere <mdelagueronniere@verisign.com>
MFC after: 1 week
Sponsored by: Verisign, Inc.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

vmaffione added inline comments.Nov 12 2018, 9:55 AM
sys/dev/netmap/netmap.c
3659 ↗(On Diff #50133)

Please make this compile-time conditional

#ifdef __FreeBSD__
jsmith_verisign.com marked an inline comment as done.Nov 12 2018, 10:40 PM

Added FreeBSD conditional

vmaffione accepted this revision.Nov 13 2018, 9:13 AM
This revision is now accepted and ready to land.Nov 13 2018, 9:13 AM
This revision was automatically updated to reflect the committed changes.